import {
    integer,
    jsonb,
    pgTable,
    text,
    timestamp,
    uniqueIndex,
    uuid,
} from "drizzle-orm/pg-core";
import { createSelectSchema } from "drizzle-zod";

export const labelRatio = pgTable(
    "labelRatio",
    {
        ratio_id: uuid(" ratio_id").defaultRandom().primaryKey(),
        name: text("name").default("labels"),
        autoLabel: integer("autoLabel").default(0),
        manualLabel: integer("manualLabel").default(0),
        lastReset: timestamp().defaultNow(),
    },
    (table) => [
        // uniqueIndex('emailUniqueIndex').on(sql`lower(${table.email})`),
        uniqueIndex("labelname").on(table.name),
    ]
);

// Schema for inserting a user - can be used to validate API requests
// export const insertRolesSchema = createInsertSchema(roles, {
//     name: z.string().min(3, {message: "Role name must be more than 3 letters"}),
// });
// Schema for selecting a Expenses - can be used to validate API responses
export const selectRolesSchema = createSelectSchema(labelRatio);
